<?php

//----- CUSTOMIZER SETTINGS -----

function jg_banner_editor($wp_customize) {
	
    $wp_customize->add_panel( 'jg_banner_settings', array(
        'priority'       => 30,
        'capability'     => 'edit_theme_options',
        'title'          => __('JustGiving Banner Options', jg_banner_options),
        'description'    => __('Add your charity name and donation page link', jg_banner_options),
    ));
	
    $wp_customize->add_section('ds_footer_links_section', array(
        'priority' => 5,
        'title' => __('JustGiving Banner Options', jg_banner_options),
        'panel'  => 'jg_banner_settings',
    ));
	
    // Charity Name
    $wp_customize->add_setting('jg_charity_name', array(
        'default' => 'Charity Name',
		'type' => 'option',
        'capability' => 'edit_theme_options',
    ));

    $wp_customize->add_control('jg_charity_name', array(
        'label' => __('Charity Name', jg_banner_options),
        'section' => 'ds_footer_links_section',
		'type' => 'option',
        'priority' => 5,
        'settings' => 'jg_charity_name'
    ));
	
    // Donation Page Link
    $wp_customize->add_setting('jg_donation_link', array(
        'default' => 'https://www.justgiving.com/your-page/',
		'type' => 'option',
        'capability' => 'edit_theme_options',
    ));

    $wp_customize->add_control('jg_donation_link', array(
        'label' => __('Link to donation page', jg_banner_options),
        'section' => 'ds_footer_links_section',
		'type' => 'option',
        'priority' => 10,
        'settings' => 'jg_donation_link'
    ));
}

?>